Package org.jbpm.assembler

## Class AbstractProcessAssembler

- java.lang.Object
- - org.jbpm.assembler.AbstractProcessAssembler

- All Implemented Interfaces:
    `org.kie.api.internal.assembler.KieAssemblerService`, `org.kie.api.internal.utils.KieService`, `org.kie.api.Service`
  Direct Known Subclasses:
    `BPMN2AssemblerService`, `DRFAssemblerService`

      public abstract class AbstractProcessAssembler
      extends Object
      implements org.kie.api.internal.assembler.KieAssemblerService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractProcessAssembler()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResourceAfterRules​(Object kbuilder, org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type, org.kie.api.io.ResourceConfiguration configuration)` |
    `protected abstract void` | `configurePackageBuilder​(org.drools.compiler.builder.impl.KnowledgeBuilderImpl kb)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.assembler.KieAssemblerService

      `addResource, addResourceBeforeRules, addResources, addResourcesAfterRules, addResourcesBeforeRules, getResourceType`

- - ### Constructor Detail

    - #### AbstractProcessAssembler

          public AbstractProcessAssembler()

  - ### Method Detail

    - #### addResourceAfterRules

          public void addResourceAfterRules​(Object kbuilder,
                                            org.kie.api.io.Resource resource,
                                            org.kie.api.io.ResourceType type,
                                            org.kie.api.io.ResourceConfiguration configuration)

      Specified by:
        `addResourceAfterRules` in interface `org.kie.api.internal.assembler.KieAssemblerService`

    - #### configurePackageBuilder

          protected abstract void configurePackageBuilder​(org.drools.compiler.builder.impl.KnowledgeBuilderImpl kb)